-- Mushroom grass
minetest.register_node("ethereal:mushroomgrass_2", {
	description = "Mushroom grass",
	drawtype = "plantlike",
	waving = 1,
	tiles = {"ethereal_mushroomgrass_3.png"},
	-- Use texture of a taller grass stage in inventory
	inventory_image = "ethereal_mushroomgrass_3.png",
	wield_image = "ethereal_mushroomgrass_3.png",
	paramtype = "light",
	sunlight_propagates = true,
	walkable = false,
	buildable_to = true,
	groups = {snappy = 3, flora = 1, attached_node = 1, grass = 1},
	sounds = default.node_sound_leaves_defaults(),
	selection_box = {
		type = "fixed",
		fixed = {-0.5, -0.5, -0.5, 0.5, -5/16, 0.5},
	},

	on_place = function(itemstack, placer, pointed_thing)
		-- place a random grass node
		local stack = ItemStack("ethereal:mushroomgrass_" .. math.random(2,5))
		local ret = minetest.item_place(stack, placer, pointed_thing)
		return ItemStack("ethereal:mushroomgrass_2 " ..
			itemstack:get_count() - (1 - ret:get_count()))
	end,
})

for i = 2, 5 do
	minetest.register_node("ethereal:mushroomgrass_" .. i, {
		description = "Mushroom grass",
		drawtype = "plantlike",
		waving = 1,
		tiles = {"ethereal_mushroomgrass_" .. i .. ".png"},
		inventory_image = "ethereal_mushroomgrass_" .. i .. ".png",
		wield_image = "ethereal_mushroomgrass_" .. i .. ".png",
		paramtype = "light",
		sunlight_propagates = true,
		walkable = false,
		buildable_to = true,
		drop = "ethereal:mushroomgrass_3",
		groups = {snappy = 3, flora = 1, attached_node = 1,
			not_in_creative_inventory = 1, grass = 1},
		sounds = default.node_sound_leaves_defaults(),
		selection_box = {
			type = "fixed",
			fixed = {-0.5, -0.5, -0.5, 0.5, -5/16, 0.5},
		},
	})
end